## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/lexicons/{lexiconId}

### Try it

#### Get a Lexicon

##### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId} \
  --header 'X-API-Key: <api-key>'
```

##### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

##### JavaScript

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

##### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

##### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

##### Response Codes

- **200**
- **400**
- **401**
- **402**
- **403**
- **404**
- **405**
- **409**
- **413**
- **500**
- **501**
- **502**
- **503**
- **504**

```json
{
  "name": "EU countries",
  "description": "Countries members of the European Union, e.g. Spain",
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "values": "<unknown>",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Authorizations

- **API Key:**
  - Header: `X-API-Key`
  - Required

### Headers

- **Accept:** Specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **lexiconId**: Unique identifier for the Lexicon (string, required)
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`

### Query Parameters

- **metaOnly**: If set to `true`, returns only Lexicon metadata.

#### Response Details
- **name**: The name of the lexicon (e.g., "EU countries").
- **description**: A meaningful description of the lexicon (e.g., "Countries members of the European Union, e.g. Spain").
- **referenceId**: Unique identifier (UUID).
- **values**: Any.
- **_id**: Identifier (required string length: `24`, pattern: `^[a-z0-9]{24}$`).
- **createdAt**: Unix timestamp (e.g., `1694518620`).
- **lastChanged**: Unix timestamp.
- **createdBy**: Creator identifier (string).
- **lastChangedBy**: Last modifier identifier (string).
